from spm._runtime import Runtime


def _read_brainstorm_data(*args, **kwargs):
    """
      READ_BRAINSTORM_DATA reads .EEG files that have been generated by  
        the Nihon Kohden system. The function constitutes a wrapper around  
        BrainStorm3 functionalities  
         
        Use as  
          [dat] = read_brainstorm_data(filename, hdr, begsample, endsample, chanindx)  
         
        The function has not been tested on NK1200 files with multiple epochs  
         
        See also READ_BRAINSTORM_HEADER, READ_BRAINSTORM_EVENT  
      

    [Matlab code]( https://github.com/spm/spm/blob/main/external/fieldtrip/fileio/private/read_brainstorm_data.m )

    Copyright (C) 1995-2025 Functional Imaging Laboratory, Department of Imaging Neuroscience, UCL
    """

    return Runtime.call("read_brainstorm_data", *args, **kwargs)
