from spm._runtime import Runtime


def spm_DEM_EEG(*args, **kwargs):
    """
      simulated electrophysiological response based on conditional estimates  
        FORMAT [R] = spm_DEM_EEG(DEM,dt,n,graphics)  
        DEM  - DEM structure  
        dt   - time bin (seconds)  
        n    - level[s]  
        g    - graphics switch  
         
        R{i} - response over peri-stimulus time (whitened error): level i  
         
        These simulated response assume that LFPs are generated by superficial  
        pyramidal cells that correspond to units encoding precision-weighted  
        prediction error.  
         
        see also spm_DEM_ERP  
       __________________________________________________________________________  
      

    [Matlab code]( https://github.com/spm/spm/blob/main/toolbox/DEM/spm_DEM_EEG.m )

    Copyright (C) 1995-2025 Functional Imaging Laboratory, Department of Imaging Neuroscience, UCL
    """

    return Runtime.call("spm_DEM_EEG", *args, **kwargs)
