from .__DARTEL import (
    dartel3,
    optimN,
    optimNn,
    optim_compat,
    spm_dartel_dotprods,
    spm_dartel_import,
    spm_dartel_invnorm,
    spm_dartel_jacobian,
    spm_dartel_kernel,
    spm_dartel_norm,
    spm_dartel_norm_fun,
    spm_dartel_resids,
    spm_dartel_smooth,
    spm_dartel_template,
    spm_dartel_warp,
    spm_klaff,
    spm_norm_population,
    tbx_cfg_dartel
)
from .__DAiSS import (
    bf_copy,
    bf_data,
    bf_features,
    bf_features_contcov,
    bf_features_cov,
    bf_features_cov_bysamples,
    bf_features_csd,
    bf_features_identity,
    bf_features_regmulticov,
    bf_features_tdcov,
    bf_features_vbfa,
    bf_group,
    bf_group_GALA,
    bf_group_batch,
    bf_group_functionalROI,
    bf_inverse,
    bf_inverse_champagne,
    bf_inverse_deflect,
    bf_inverse_dics,
    bf_inverse_ebb,
    bf_inverse_eloreta,
    bf_inverse_lcmv,
    bf_inverse_lcmv_multicov,
    bf_inverse_minimumnorm,
    bf_inverse_nutmeg,
    bf_isfield,
    bf_load,
    bf_output,
    bf_output_PLI,
    bf_output_image_cfGLM,
    bf_output_image_dics,
    bf_output_image_filtcorr,
    bf_output_image_gain,
    bf_output_image_kurtosis,
    bf_output_image_mv,
    bf_output_image_pac,
    bf_output_image_powcorr,
    bf_output_image_power,
    bf_output_image_sensitivity,
    bf_output_montage,
    bf_output_sourcedata_robust,
    bf_regularise_clifftrunc,
    bf_regularise_mantrunc,
    bf_regularise_manual,
    bf_regularise_minkatrunc,
    bf_regularise_roi,
    bf_regularise_tichonov_rankdef,
    bf_save,
    bf_save_path,
    bf_sources,
    bf_sources_grid,
    bf_sources_grid_phantom,
    bf_sources_mesh,
    bf_sources_mni_coords,
    bf_sources_scalp,
    bf_sources_voi,
    bf_stat_evoked_t,
    bf_std_fields,
    bf_view,
    bf_view_glass,
    bf_view_surface,
    bf_wizard_data,
    bf_wizard_features,
    bf_wizard_headmodel,
    bf_wizard_inverse,
    bf_wizard_output,
    bf_wizard_sources,
    bf_wizard_view,
    bf_wizard_write,
    bf_write,
    bf_write_gifti,
    bf_write_nifti,
    bf_write_spmeeg,
    spm_DAiSS,
    spm_beamforming,
    tbx_cfg_bf
)
from .__DEM import (
    ADEM_SHC_demo,
    ADEM_cost_SHC,
    ADEM_cued_response,
    ADEM_eyeblink,
    ADEM_learning,
    ADEM_lorenz,
    ADEM_lorenz_entropy,
    ADEM_lorenz_surprise,
    ADEM_motor,
    ADEM_mountaincar_loss,
    ADEM_observe,
    ADEM_occlusion,
    ADEM_occulomotor_delays,
    ADEM_plaid,
    ADEM_pursuit,
    ADEM_reaching,
    ADEM_salience,
    ADEM_sample_image,
    ADEM_visual,
    ADEM_writing,
    ALAP_demo_attenuation,
    DATA_COVID_JHU,
    DATA_COVID_UK,
    DATA_COVID_US,
    DATA_WID_data,
    DEMO_AI_NLSI,
    DEMO_BAYES_FACTORS,
    DEMO_BMR_PEB,
    DEMO_CVA_RSA,
    DEMO_DCM_MB,
    DEMO_DCM_PEB,
    DEMO_DCM_PEB_FIT,
    DEMO_GROUP_PEB,
    DEMO_Lindley_paradox,
    DEMO_MDP_Stroop,
    DEMO_MDP_Understanding,
    DEMO_MDP_maze,
    DEMO_MDP_maze_X,
    DEMO_MDP_questions,
    DEMO_MDP_voice,
    DEMO_SLR,
    DEMO_niche_construction,
    DEM_CLIMATE_India,
    DEM_COVID,
    DEM_COVID_AGE,
    DEM_COVID_COUNTRY,
    DEM_COVID_DASH,
    DEM_COVID_I,
    DEM_COVID_LTLA,
    DEM_COVID_S,
    DEM_COVID_T,
    DEM_COVID_UK,
    DEM_COVID_UK4,
    DEM_COVID_UTLA,
    DEM_COVID_WID,
    DEM_COVID_X,
    DEM_Dispatches,
    DEM_FEP_Least_Action,
    DEM_FEP_Lorenz,
    DEM_HB_and_LE,
    DEM_Immune,
    DEM_MDP_decision,
    DEM_SARS,
    DEM_SARS_I,
    DEM_Stephen,
    DEM_birdsong,
    DEM_cells,
    DEM_cells_cells,
    DEM_coupled_oscillators,
    DEM_dSprites,
    DEM_demo,
    DEM_demo_ALAP,
    DEM_demo_Bayesian_Model_Reduction,
    DEM_demo_Cornsweet,
    DEM_demo_DCM_LAP,
    DEM_demo_DEM,
    DEM_demo_DFP,
    DEM_demo_EM,
    DEM_demo_GF_and_KF,
    DEM_demo_GLM,
    DEM_demo_Gabor,
    DEM_demo_LAP,
    DEM_demo_Lagrangian,
    DEM_demo_Lagrangian_flow,
    DEM_demo_Lorenz,
    DEM_demo_MDP_DEM,
    DEM_demo_MDP_X,
    DEM_demo_MDP_XX,
    DEM_demo_MDP_fit,
    DEM_demo_MDP_fit_fields,
    DEM_demo_MDP_habits,
    DEM_demo_MDP_maze,
    DEM_demo_MDP_reading,
    DEM_demo_MDP_rule,
    DEM_demo_MDP_search,
    DEM_demo_MMN,
    DEM_demo_MMN_deviance,
    DEM_demo_MMN_gen,
    DEM_demo_OU,
    DEM_demo_PEB,
    DEM_demo_Posner,
    DEM_demo_SOC,
    DEM_demo_connectivity_fMRI,
    DEM_demo_contact_lens,
    DEM_demo_convolution,
    DEM_demo_convolution_LAP,
    DEM_demo_dendrite,
    DEM_demo_double_well,
    DEM_demo_doublewell_LAP,
    DEM_demo_duet,
    DEM_demo_fMRI_HMM,
    DEM_demo_fMRI_PEB,
    DEM_demo_face_inference,
    DEM_demo_factor_analysis,
    DEM_demo_filtering,
    DEM_demo_hdm,
    DEM_demo_hdm_LAP,
    DEM_demo_hdm_SCK,
    DEM_demo_hierarchical_optmisation,
    DEM_demo_induced_fMRI,
    DEM_demo_large_fMRI,
    DEM_demo_lorenz_LAP,
    DEM_demo_modes_fMRI,
    DEM_demo_ontology,
    DEM_demo_psychosis,
    DEM_demo_song_inference,
    DEM_demo_song_omission,
    DEM_demo_song_priors,
    DEM_demo_texture,
    DEM_evidence_accumulation,
    DEM_get_faces,
    DEM_morphogenesis,
    DEM_path_integrals,
    DEM_psychophysics,
    DEM_self_entropy,
    DEM_sharing,
    DEM_spatial_deconvolution,
    DEM_surveillance,
    DEM_vaccination,
    DFP_demo_double_well,
    DFP_demo_hdm,
    FEP_MB_demo,
    FEP_Manifold,
    FEP_fluctuations,
    FEP_information_length,
    FEP_lorenz_surprise,
    FEP_physics,
    FEP_self_entropy,
    KLDemo,
    MDP_DEM_Mixed_Models_Movement,
    MDP_DEM_Oculomotion_Pharma_demo,
    MDP_DEM_Oculomotion_demo,
    MDP_Heart_Beat,
    Markov_blankets_and_NESS,
    expmall,
    ndstest,
    spm_ADEM_cue_rt,
    spm_ADEM_set_rt,
    spm_CLIMATE_ci,
    spm_CLIMATE_gen,
    spm_CLIMATE_plot,
    spm_CLIMATE_priors,
    spm_COVID,
    spm_COVID_B,
    spm_COVID_BMR,
    spm_COVID_PV,
    spm_COVID_R_cii,
    spm_COVID_S,
    spm_COVID_SB,
    spm_COVID_T,
    spm_COVID_TS,
    spm_COVID_US,
    spm_COVID_Y,
    spm_COVID_ci,
    spm_COVID_dashboard,
    spm_COVID_gen,
    spm_COVID_plot,
    spm_COVID_priors,
    spm_COVID_priors_R,
    spm_COVID_table,
    spm_DEM_ButtonDownFcn,
    spm_DEM_EEG,
    spm_DEM_M,
    spm_DEM_MEG,
    spm_DEM_T,
    spm_DEM_basis,
    spm_DEM_movie,
    spm_DEM_play,
    spm_DEM_play_song,
    spm_DEM_qC,
    spm_Lap2Lorenz,
    spm_MDP,
    spm_MDP_DEM,
    spm_MDP_DP,
    spm_MDP_F,
    spm_MDP_G,
    spm_MDP_L,
    spm_MDP_VB,
    spm_MDP_VB_ERP,
    spm_MDP_VB_LFP,
    spm_MDP_VB_X,
    spm_MDP_VB_XX,
    spm_MDP_VB_XXX,
    spm_MDP_VB_game,
    spm_MDP_VB_sleep,
    spm_MDP_VB_trial,
    spm_MDP_VB_update,
    spm_MDP_check,
    spm_MDP_factor_graph,
    spm_MDP_game,
    spm_MDP_game_KL,
    spm_MDP_game_optimism,
    spm_MDP_link,
    spm_MDP_log_evidence,
    spm_MDP_mountain_car,
    spm_MDP_offer,
    spm_MDP_plot,
    spm_MDP_size,
    spm_MDP_structure_learning,
    spm_MDP_trust,
    spm_MDP_urn,
    spm_NESS_constraints,
    spm_SARS_ci,
    spm_SARS_gen,
    spm_SARS_plot,
    spm_SARS_priors,
    spm_SARS_priors_B,
    spm_SCK,
    spm_SHC_fx,
    spm_cornsweet,
    spm_cost_SHC_fx,
    spm_cost_SHC_fxa,
    spm_cost_SHC_path,
    spm_cost_fx,
    spm_cost_fxa,
    spm_dem_ERP,
    spm_dem_cue_movie,
    spm_dem_initialise,
    spm_dem_mdp_movie,
    spm_dem_occlusion_movie,
    spm_dem_pursuit_movie,
    spm_dem_reach_movie,
    spm_dem_reach_plot,
    spm_dem_reach_x2J,
    spm_dem_search_movie,
    spm_dem_search_plot,
    spm_dem_search_trajectory,
    spm_dem_set_movie,
    spm_diff_all,
    spm_find_internal,
    spm_fx_Gabor,
    spm_fx_Lagrangian,
    spm_fx_adem_cue,
    spm_fx_adem_pursuit,
    spm_fx_adem_reach,
    spm_fx_adem_salience,
    spm_fx_adem_write,
    spm_fx_dem_cue,
    spm_fx_dem_observe,
    spm_fx_dem_pursuit,
    spm_fx_dem_reach,
    spm_fx_dem_salience,
    spm_fx_dem_write,
    spm_fx_hdm_sck,
    spm_fx_mountaincar,
    spm_fx_mountaincar_Q,
    spm_gamma_log_evidence,
    spm_gx_Gabor,
    spm_gx_SHC,
    spm_gx_adem_cue,
    spm_gx_adem_pursuit,
    spm_gx_adem_reach,
    spm_gx_adem_salience,
    spm_gx_adem_write,
    spm_gx_dem_cue,
    spm_gx_dem_pursuit,
    spm_gx_dem_reach,
    spm_gx_dem_salience,
    spm_gx_dem_write,
    spm_gx_hdm_sck,
    spm_ho_gm,
    spm_ho_poly,
    spm_immune,
    spm_immune_gen,
    spm_immune_plot,
    spm_immune_priors,
    spm_mc_fx,
    spm_mc_fx_1,
    spm_mc_fx_2,
    spm_mc_fx_3,
    spm_mc_fx_4,
    spm_mc_fx_5,
    spm_mc_fxa_4,
    spm_mc_fxa_5,
    spm_mc_loss_C,
    spm_mc_loss_G,
    spm_meta_model,
    spm_mountaincar_Q,
    spm_mountaincar_fun,
    spm_mountaincar_movie,
    spm_multinomial_log_evidence,
    spm_salience_map,
    spm_voice,
    spm_voice_FS,
    spm_voice_P300,
    spm_voice_Q,
    spm_voice_check,
    spm_voice_dct,
    spm_voice_ff,
    spm_voice_filter,
    spm_voice_frequency,
    spm_voice_fundamental,
    spm_voice_get_LEX,
    spm_voice_get_next,
    spm_voice_get_word,
    spm_voice_get_xY,
    spm_voice_i,
    spm_voice_iQ,
    spm_voice_identity,
    spm_voice_iff,
    spm_voice_likelihood,
    spm_voice_onset,
    spm_voice_onsets,
    spm_voice_read,
    spm_voice_repeat,
    spm_voice_segmentation,
    spm_voice_speak,
    spm_voice_test,
    spm_voice_warp
)
from .__FieldMap import (
    FieldMap,
    FieldMap_Run,
    FieldMap_applyvdm,
    FieldMap_create,
    FieldMap_preprocess,
    pm_angvar,
    pm_brain_mask,
    pm_create_connectogram,
    pm_diff,
    pm_estimate_ramp,
    pm_ff_unwrap,
    pm_get_defaults,
    pm_initial_regions,
    pm_invert_phasemap,
    pm_make_fieldmap,
    pm_mask,
    pm_merge_regions,
    pm_merge_regions_m,
    pm_pad,
    pm_restore_ramp,
    pm_seed,
    pm_segment,
    pm_smooth_phasemap,
    pm_unwrap,
    tbx_cfg_fieldmap
)
from .__Longitudinal import (
    spm_compute_avg_mat,
    spm_dexpm,
    spm_groupwise_ls,
    spm_meanm,
    spm_noise_estimate,
    spm_pairwise,
    spm_rice_mixture,
    spm_series_align,
    tbx_cfg_longitudinal
)
from .__MB import (
    fil_fit,
    fil_install,
    fil_io,
    fil_label,
    fil_prec,
    fil_prune,
    fil_push_train_data,
    fil_subvol,
    fil_train,
    spm_label,
    spm_mb_appearance,
    spm_mb_classes,
    spm_mb_fit,
    spm_mb_gmm,
    spm_mb_init,
    spm_mb_io,
    spm_mb_merge,
    spm_mb_output,
    spm_mb_shape,
    spm_mbnorm,
    tbx_cfg_mb
)
from .__MEEGtools import (
    spm_MEEGtools,
    spm_create_labels,
    spm_eeg_bst_fooof,
    spm_eeg_cont_power,
    spm_eeg_ctf_synth_gradiometer,
    spm_eeg_dipole_waveforms,
    spm_eeg_erp_correction,
    spm_eeg_ffilter,
    spm_eeg_fix_ctf_headloc,
    spm_eeg_ft_artefact_visual,
    spm_eeg_ft_datareg_manual,
    spm_eeg_ft_megplanar,
    spm_eeg_ft_multitaper_coherence,
    spm_eeg_headplot,
    spm_eeg_img2maps,
    spm_eeg_interpolate_artefact,
    spm_eeg_inv_optireg,
    spm_eeg_megheadloc,
    spm_eeg_recode_epoched_ctf,
    spm_eeg_remove_jumps,
    spm_eeg_remove_spikes,
    spm_eeg_reref_eeg,
    spm_eeg_split_conditions,
    spm_eeg_tms_correct,
    spm_eeg_transform_cap,
    spm_eeg_var_measures,
    spm_mesh_pack_points,
    spm_opm_create,
    spm_opm_epoch_trigger,
    spm_opm_headmodel,
    spm_opm_hfc,
    spm_opm_opreg,
    spm_opm_plotScalpData,
    spm_opm_psd,
    spm_opm_read_lvm,
    spm_opm_rpsd,
    spm_opm_sim,
    spm_opm_synth_gradiometer,
    spm_opm_vslm
)
from .__NVC import (
    spm_dcm_nvc,
    spm_dcm_nvc_nd,
    spm_dcm_nvc_priors,
    spm_dcm_nvc_specify,
    spm_fx_cmc_tfm_gen,
    spm_gen_par,
    spm_nvc_gen
)
from .__Neural_Models import (
    DEMO_dcm_fmri_nnm,
    DEMO_model_reduction_ERP,
    DEMO_tvec_csd_sim,
    DEMO_tvec_erp_mmn,
    DEMO_tvec_erp_sim,
    spm_csd_mtf_plot_pole_zero,
    spm_dcm_x_neural_NMDA,
    spm_fx_NMDA,
    spm_fx_mfm_NMDA,
    spm_lfp_mtf_sample,
    spm_nmm_priors_NMDA,
    spm_x_mfm_NMDA,
    Neural_demo,
    ROBOT_NMM,
    spm_csd_demo,
    spm_dcm_Granger_asymmetry_demo,
    spm_dcm_Granger_demo,
    spm_dcm_prior_responses,
    spm_delays_demo,
    spm_demo_proceed,
    spm_erp2csd_demo,
    spm_freqs,
    spm_fx_hh,
    spm_fx_lfp,
    spm_fx_mfm_ensemble,
    spm_gx_hh,
    spm_gx_mfm,
    spm_ind_demo,
    spm_induced_optimise,
    spm_induced_optimise_parameters,
    spm_lfp_demo,
    spm_lfp_log,
    spm_lfp_mtf,
    spm_lfp_priors,
    spm_lfp_sqrt,
    spm_mfa,
    spm_mfa_G,
    spm_mfa_bi,
    spm_mfa_bi_multi,
    spm_mfa_demo,
    spm_mfm_demo,
    spm_mtf_demo,
    spm_neil,
    spm_nested_oscillations_demo,
    spm_nmda_priors,
    spm_opt_bfun,
    spm_seizure_demo,
    spm_sigmoid_demo
)
from .__OldNorm import (
    spm_affreg,
    spm_brainwarp,
    spm_cfg_normalise,
    spm_get_orig_coord,
    spm_normalise,
    spm_normalise_disp,
    spm_run_normalise,
    spm_write_sn
)
from .__OldSeg import (
    spm_cfg_preproc,
    spm_invdef,
    spm_load_priors,
    spm_maff,
    spm_prep2sn,
    spm_preproc_write,
    spm_run_preproc,
    spm_sample_priors
)
from .__SPEM_and_DCM import (
    spm_SEM_gen,
    spm_SEM_gen_full,
    spm_dcm_spem,
    spm_dcm_spem_data,
    spm_dcm_spem_results
)
from .__SRender import (
    spm_sextract,
    spm_srender,
    tbx_cfg_render
)
from .__Shoot import (
    covLin,
    spm_GPclass,
    spm_def2sparse,
    spm_dotprods2,
    spm_lincom,
    spm_shoot3d,
    spm_shoot3di,
    spm_shoot_blur,
    spm_shoot_defaults,
    spm_shoot_divergence,
    spm_shoot_greens,
    spm_shoot_kernel,
    spm_shoot_norm,
    spm_shoot_scalmom,
    spm_shoot_template,
    spm_shoot_update,
    spm_shoot_warp,
    tbx_cfg_shoot
)
from .__Spatial import (
    lbessi,
    pp_settings,
    pull,
    pullg,
    push,
    spm_TVdenoise,
    spm_TVdenoise2,
    spm_TVdenoise_config,
    spm_dctdst,
    spm_run_denoise,
    spm_scope,
    spm_scope_config,
    spm_slice2vol,
    spm_slice2vol_config,
    spm_slice2vol_estimate,
    spm_slice2vol_reslice,
    spm_topup,
    spm_topup_config,
    tbx_cfg_spatial
)
from .__TSSS import (
    tbx_cfg_tsss,
    tsss_config,
    tsss_config_momentspace,
    tsss_spm_enm,
    tsss_spm_momentspace
)
from .__dcm_fnirs import (
    estimate_greens_mmclab,
    spm_dcm_fnirs_estimate,
    spm_dcm_fnirs_params,
    spm_dcm_fnirs_priors,
    spm_dcm_fnirs_specify,
    spm_dcm_fnirs_viewer_result,
    spm_fnirs_sensitivity,
    spm_fnirs_viewer_sensor,
    spm_fnirs_wavg,
    spm_fx_fnirs,
    spm_gx_fnirs,
    spm_gx_state_fnirs
)
from .__dcm_meeg import (
    spm_L_priors,
    spm_api_erp,
    spm_api_nmm,
    spm_bgt_priors,
    spm_cmc_priors,
    spm_cmm_NMDA_priors,
    spm_cmm_priors,
    spm_csd_chf,
    spm_csd_int,
    spm_csd_int_IS,
    spm_csd_mtf,
    spm_csd_mtf_gu,
    spm_dcm_csd,
    spm_dcm_csd_data,
    spm_dcm_csd_plot,
    spm_dcm_csd_priors,
    spm_dcm_csd_results,
    spm_dcm_csd_source_optimise,
    spm_dcm_csd_source_plot,
    spm_dcm_dem,
    spm_dcm_eeg_channelmodes,
    spm_dcm_erp,
    spm_dcm_erp_bma,
    spm_dcm_erp_data,
    spm_dcm_erp_dipfit,
    spm_dcm_erp_plot,
    spm_dcm_erp_results,
    spm_dcm_erp_sensitivity,
    spm_dcm_erp_update,
    spm_dcm_erp_viewspatial,
    spm_dcm_ind,
    spm_dcm_ind_data,
    spm_dcm_ind_results,
    spm_dcm_local_minima,
    spm_dcm_lock,
    spm_dcm_neural_priors,
    spm_dcm_neural_x,
    spm_dcm_nfm,
    spm_dcm_phase,
    spm_dcm_phase_data,
    spm_dcm_phase_results,
    spm_dcm_search_eeg,
    spm_dcm_ssr,
    spm_dcm_ssr_data,
    spm_dcm_ssr_results,
    spm_dcm_symm,
    spm_dcm_tfm,
    spm_dcm_tfm_data,
    spm_dcm_tfm_data_nopad,
    spm_dcm_tfm_image,
    spm_dcm_tfm_multimodal,
    spm_dcm_tfm_response,
    spm_dcm_tfm_results,
    spm_dcm_tfm_transfer,
    spm_dcm_virtual_electrodes,
    spm_dcm_x_neural,
    spm_eeg_inv_ecd_DrawDip,
    spm_epileptor_demo,
    spm_erp_L,
    spm_erp_priors,
    spm_erp_u,
    spm_fp_cmc_tfm,
    spm_fs_csd,
    spm_fx_bgt,
    spm_fx_cmc,
    spm_fx_cmc_2014,
    spm_fx_cmc_tfm,
    spm_fx_cmm,
    spm_fx_cmm_NMDA,
    spm_fx_erp,
    spm_fx_gen,
    spm_fx_ind,
    spm_fx_mfm,
    spm_fx_mfm_D,
    spm_fx_mmc,
    spm_fx_nmda,
    spm_fx_null,
    spm_fx_phase,
    spm_fx_sep,
    spm_fx_tfm,
    spm_fx_tfm_P,
    spm_fy_erp,
    spm_gen_Q,
    spm_gen_erp,
    spm_gen_ind,
    spm_gen_phase,
    spm_gx_erp,
    spm_ind_priors,
    spm_int_U,
    spm_lx_dem,
    spm_lx_erp,
    spm_lx_ind,
    spm_lx_phase,
    spm_mg_switch,
    spm_mmc_priors,
    spm_nfm_mtf,
    spm_nfm_priors,
    spm_nmm_priors,
    spm_null_priors,
    spm_phase_priors,
    spm_ssr_priors,
    spm_tfm_priors,
    spm_x_cmc,
    spm_x_cmm,
    spm_x_cmm_NMDA,
    spm_x_erp,
    spm_x_lfp,
    spm_x_mfm,
    spm_x_nmda,
    spm_x_nmm
)
from .__mci import (
    mci_compare_forward,
    mci_compare_gradients,
    mci_compare_jacobians,
    mci_compare_setup,
    spm_mci_adjoint,
    spm_mci_adjoint_int,
    spm_mci_adjoint_sun,
    spm_mci_flow_sun,
    spm_mci_flow_t,
    spm_mci_fwd,
    spm_mci_grad_curve,
    spm_mci_joint,
    spm_mci_joint_grad,
    spm_mci_sens,
    spm_mci_sens_init,
    spm_mci_sens_sun,
    spm_mci_ais,
    spm_mci_ais_single,
    spm_mci_ais_single_vl,
    spm_mci_check,
    spm_mci_diag,
    spm_mci_diff,
    spm_mci_ess,
    spm_mci_fixed,
    spm_mci_glike,
    spm_mci_glike_deriv,
    spm_mci_gprior_deriv,
    spm_mci_init_flow,
    spm_mci_isvl,
    spm_mci_lgv,
    spm_mci_lgv_vl,
    spm_mci_like_ind,
    spm_mci_mfx,
    spm_mci_mfx_dynamic,
    spm_mci_mh,
    spm_mci_mh_update,
    spm_mci_minit,
    spm_mci_mvnpost,
    spm_mci_mvntest,
    spm_mci_obsnoise,
    spm_mci_phm,
    spm_mci_pop,
    spm_mci_popdef,
    spm_mci_post,
    spm_mci_postslices,
    spm_mci_priors,
    spm_mci_quantiles,
    spm_mci_random,
    spm_mci_report,
    spm_mci_stat,
    spm_mci_switch,
    spm_mci_switch_prep,
    spm_mci_update_cov,
    spm_mci_vw_init,
    spm_mvtpdf,
    spm_nwcov,
    spm_nwpost,
    spm_nwrnd,
    spm_wishrnd,
    mci_approach_deriv,
    mci_approach_gen,
    mci_approach_like,
    mci_approach_struct,
    mci_discount_act,
    mci_discount_deriv,
    mci_discount_gen,
    mci_discount_like,
    mci_discount_struct,
    mci_pb_deriv,
    mci_pb_gen,
    mci_pb_like,
    mci_pb_struct,
    mci_exp_init,
    mci_interp_init,
    mci_lds_dfdx,
    mci_lds_fx,
    mci_lds_gen,
    mci_lds_group_data,
    mci_lds_gx,
    mci_lds_lat2par,
    mci_lds_par2lat,
    mci_lds_params,
    mci_lds_plot_params,
    mci_lds_struct,
    mci_linear_deriv,
    mci_linear_gen,
    mci_linear_like,
    mci_linear_post,
    mci_linear_struct,
    mci_linsqr_deriv,
    mci_linsqr_gen,
    mci_linsqr_like,
    mci_linsqr_struct,
    mci_logistic_act,
    mci_logistic_deriv,
    mci_logistic_gen,
    mci_logistic_like,
    mci_logistic_struct,
    mci_nmm_fx_delay,
    mci_nmm_gen,
    mci_nmm_params,
    mci_nmm_r2_gx,
    mci_nmm_r2p2_dfdp,
    mci_nmm_r2p2_dfdx,
    mci_nmm_r2p2_fx,
    mci_nmm_r2p6_fx,
    mci_nmm_struct,
    mci_phase_dfdp,
    mci_phase_dfdx,
    mci_phase_fx,
    mci_phase_gx,
    mci_phase_init,
    mci_rphase_dfdp,
    mci_rphase_dfdx,
    mci_rphase_fx,
    mci_rphase_gen,
    mci_rphase_struct,
    mci_ramsay_fx,
    mci_ramsay_gen,
    mci_ramsay_gx,
    mci_ramsay_struct,
    mci_plot_surface
)
from .__mixture import (
    spm_MNpdf,
    spm_boxcars,
    spm_glm,
    spm_kmeans,
    spm_kmeans1,
    spm_mix,
    spm_mix_demo1d,
    spm_rglm,
    spm_samp_gauss,
    spm_samp_mix
)
from .__mlm import (
    spm_cva_compare,
    spm_cva_prob,
    spm_mlm_bayes,
    spm_mlm_makecon,
    spm_mlm_posthoc,
    spm_pca_order,
    spm_vpca,
    spm_vpca_f,
    spm_vpca_init,
    spm_vpca_update
)
from .__spectral import (
    spm_ar,
    spm_ar_freq,
    spm_ar_pred,
    spm_ccf2coh,
    spm_ccf2cor,
    spm_ccf2csd,
    spm_ccf2gew,
    spm_ccf2mar,
    spm_csd,
    spm_csd2ccf,
    spm_csd2coh,
    spm_csd2gew,
    spm_csd2mar,
    spm_dcm2ssm,
    spm_dpss,
    spm_dtf2gew,
    spm_get_omega,
    spm_granger,
    spm_ker2ccf,
    spm_ker2coh,
    spm_ker2csd,
    spm_ker2mtf,
    spm_kl_eig_normal,
    spm_mar,
    spm_mar2ccf,
    spm_mar2coh,
    spm_mar2csd,
    spm_mar2gew,
    spm_mar_conn,
    spm_mar_gen,
    spm_mar_pred,
    spm_mar_prior,
    spm_mar_spectra,
    spm_mmtspec,
    spm_mtf2ccf,
    spm_mtf2coh,
    spm_mtf2csd,
    spm_mtf2gew,
    spm_rar,
    spm_spectral_plot,
    spm_ssm2ccf,
    spm_ssm2coh,
    spm_ssm2csd,
    spm_ssm2ker,
    spm_ssm2mtf,
    spm_wavspec
)


__all__ = [
    "dartel3",
    "optimN",
    "optimNn",
    "optim_compat",
    "spm_dartel_dotprods",
    "spm_dartel_import",
    "spm_dartel_invnorm",
    "spm_dartel_jacobian",
    "spm_dartel_kernel",
    "spm_dartel_norm",
    "spm_dartel_norm_fun",
    "spm_dartel_resids",
    "spm_dartel_smooth",
    "spm_dartel_template",
    "spm_dartel_warp",
    "spm_klaff",
    "spm_norm_population",
    "tbx_cfg_dartel",
    "bf_copy",
    "bf_data",
    "bf_features",
    "bf_features_contcov",
    "bf_features_cov",
    "bf_features_cov_bysamples",
    "bf_features_csd",
    "bf_features_identity",
    "bf_features_regmulticov",
    "bf_features_tdcov",
    "bf_features_vbfa",
    "bf_group",
    "bf_group_GALA",
    "bf_group_batch",
    "bf_group_functionalROI",
    "bf_inverse",
    "bf_inverse_champagne",
    "bf_inverse_deflect",
    "bf_inverse_dics",
    "bf_inverse_ebb",
    "bf_inverse_eloreta",
    "bf_inverse_lcmv",
    "bf_inverse_lcmv_multicov",
    "bf_inverse_minimumnorm",
    "bf_inverse_nutmeg",
    "bf_isfield",
    "bf_load",
    "bf_output",
    "bf_output_PLI",
    "bf_output_image_cfGLM",
    "bf_output_image_dics",
    "bf_output_image_filtcorr",
    "bf_output_image_gain",
    "bf_output_image_kurtosis",
    "bf_output_image_mv",
    "bf_output_image_pac",
    "bf_output_image_powcorr",
    "bf_output_image_power",
    "bf_output_image_sensitivity",
    "bf_output_montage",
    "bf_output_sourcedata_robust",
    "bf_regularise_clifftrunc",
    "bf_regularise_mantrunc",
    "bf_regularise_manual",
    "bf_regularise_minkatrunc",
    "bf_regularise_roi",
    "bf_regularise_tichonov_rankdef",
    "bf_save",
    "bf_save_path",
    "bf_sources",
    "bf_sources_grid",
    "bf_sources_grid_phantom",
    "bf_sources_mesh",
    "bf_sources_mni_coords",
    "bf_sources_scalp",
    "bf_sources_voi",
    "bf_stat_evoked_t",
    "bf_std_fields",
    "bf_view",
    "bf_view_glass",
    "bf_view_surface",
    "bf_wizard_data",
    "bf_wizard_features",
    "bf_wizard_headmodel",
    "bf_wizard_inverse",
    "bf_wizard_output",
    "bf_wizard_sources",
    "bf_wizard_view",
    "bf_wizard_write",
    "bf_write",
    "bf_write_gifti",
    "bf_write_nifti",
    "bf_write_spmeeg",
    "spm_DAiSS",
    "spm_beamforming",
    "tbx_cfg_bf",
    "ADEM_SHC_demo",
    "ADEM_cost_SHC",
    "ADEM_cued_response",
    "ADEM_eyeblink",
    "ADEM_learning",
    "ADEM_lorenz",
    "ADEM_lorenz_entropy",
    "ADEM_lorenz_surprise",
    "ADEM_motor",
    "ADEM_mountaincar_loss",
    "ADEM_observe",
    "ADEM_occlusion",
    "ADEM_occulomotor_delays",
    "ADEM_plaid",
    "ADEM_pursuit",
    "ADEM_reaching",
    "ADEM_salience",
    "ADEM_sample_image",
    "ADEM_visual",
    "ADEM_writing",
    "ALAP_demo_attenuation",
    "DATA_COVID_JHU",
    "DATA_COVID_UK",
    "DATA_COVID_US",
    "DATA_WID_data",
    "DEMO_AI_NLSI",
    "DEMO_BAYES_FACTORS",
    "DEMO_BMR_PEB",
    "DEMO_CVA_RSA",
    "DEMO_DCM_MB",
    "DEMO_DCM_PEB",
    "DEMO_DCM_PEB_FIT",
    "DEMO_GROUP_PEB",
    "DEMO_Lindley_paradox",
    "DEMO_MDP_Stroop",
    "DEMO_MDP_Understanding",
    "DEMO_MDP_maze",
    "DEMO_MDP_maze_X",
    "DEMO_MDP_questions",
    "DEMO_MDP_voice",
    "DEMO_SLR",
    "DEMO_niche_construction",
    "DEM_CLIMATE_India",
    "DEM_COVID",
    "DEM_COVID_AGE",
    "DEM_COVID_COUNTRY",
    "DEM_COVID_DASH",
    "DEM_COVID_I",
    "DEM_COVID_LTLA",
    "DEM_COVID_S",
    "DEM_COVID_T",
    "DEM_COVID_UK",
    "DEM_COVID_UK4",
    "DEM_COVID_UTLA",
    "DEM_COVID_WID",
    "DEM_COVID_X",
    "DEM_Dispatches",
    "DEM_FEP_Least_Action",
    "DEM_FEP_Lorenz",
    "DEM_HB_and_LE",
    "DEM_Immune",
    "DEM_MDP_decision",
    "DEM_SARS",
    "DEM_SARS_I",
    "DEM_Stephen",
    "DEM_birdsong",
    "DEM_cells",
    "DEM_cells_cells",
    "DEM_coupled_oscillators",
    "DEM_dSprites",
    "DEM_demo",
    "DEM_demo_ALAP",
    "DEM_demo_Bayesian_Model_Reduction",
    "DEM_demo_Cornsweet",
    "DEM_demo_DCM_LAP",
    "DEM_demo_DEM",
    "DEM_demo_DFP",
    "DEM_demo_EM",
    "DEM_demo_GF_and_KF",
    "DEM_demo_GLM",
    "DEM_demo_Gabor",
    "DEM_demo_LAP",
    "DEM_demo_Lagrangian",
    "DEM_demo_Lagrangian_flow",
    "DEM_demo_Lorenz",
    "DEM_demo_MDP_DEM",
    "DEM_demo_MDP_X",
    "DEM_demo_MDP_XX",
    "DEM_demo_MDP_fit",
    "DEM_demo_MDP_fit_fields",
    "DEM_demo_MDP_habits",
    "DEM_demo_MDP_maze",
    "DEM_demo_MDP_reading",
    "DEM_demo_MDP_rule",
    "DEM_demo_MDP_search",
    "DEM_demo_MMN",
    "DEM_demo_MMN_deviance",
    "DEM_demo_MMN_gen",
    "DEM_demo_OU",
    "DEM_demo_PEB",
    "DEM_demo_Posner",
    "DEM_demo_SOC",
    "DEM_demo_connectivity_fMRI",
    "DEM_demo_contact_lens",
    "DEM_demo_convolution",
    "DEM_demo_convolution_LAP",
    "DEM_demo_dendrite",
    "DEM_demo_double_well",
    "DEM_demo_doublewell_LAP",
    "DEM_demo_duet",
    "DEM_demo_fMRI_HMM",
    "DEM_demo_fMRI_PEB",
    "DEM_demo_face_inference",
    "DEM_demo_factor_analysis",
    "DEM_demo_filtering",
    "DEM_demo_hdm",
    "DEM_demo_hdm_LAP",
    "DEM_demo_hdm_SCK",
    "DEM_demo_hierarchical_optmisation",
    "DEM_demo_induced_fMRI",
    "DEM_demo_large_fMRI",
    "DEM_demo_lorenz_LAP",
    "DEM_demo_modes_fMRI",
    "DEM_demo_ontology",
    "DEM_demo_psychosis",
    "DEM_demo_song_inference",
    "DEM_demo_song_omission",
    "DEM_demo_song_priors",
    "DEM_demo_texture",
    "DEM_evidence_accumulation",
    "DEM_get_faces",
    "DEM_morphogenesis",
    "DEM_path_integrals",
    "DEM_psychophysics",
    "DEM_self_entropy",
    "DEM_sharing",
    "DEM_spatial_deconvolution",
    "DEM_surveillance",
    "DEM_vaccination",
    "DFP_demo_double_well",
    "DFP_demo_hdm",
    "FEP_MB_demo",
    "FEP_Manifold",
    "FEP_fluctuations",
    "FEP_information_length",
    "FEP_lorenz_surprise",
    "FEP_physics",
    "FEP_self_entropy",
    "KLDemo",
    "MDP_DEM_Mixed_Models_Movement",
    "MDP_DEM_Oculomotion_Pharma_demo",
    "MDP_DEM_Oculomotion_demo",
    "MDP_Heart_Beat",
    "Markov_blankets_and_NESS",
    "expmall",
    "ndstest",
    "spm_ADEM_cue_rt",
    "spm_ADEM_set_rt",
    "spm_CLIMATE_ci",
    "spm_CLIMATE_gen",
    "spm_CLIMATE_plot",
    "spm_CLIMATE_priors",
    "spm_COVID",
    "spm_COVID_B",
    "spm_COVID_BMR",
    "spm_COVID_PV",
    "spm_COVID_R_cii",
    "spm_COVID_S",
    "spm_COVID_SB",
    "spm_COVID_T",
    "spm_COVID_TS",
    "spm_COVID_US",
    "spm_COVID_Y",
    "spm_COVID_ci",
    "spm_COVID_dashboard",
    "spm_COVID_gen",
    "spm_COVID_plot",
    "spm_COVID_priors",
    "spm_COVID_priors_R",
    "spm_COVID_table",
    "spm_DEM_ButtonDownFcn",
    "spm_DEM_EEG",
    "spm_DEM_M",
    "spm_DEM_MEG",
    "spm_DEM_T",
    "spm_DEM_basis",
    "spm_DEM_movie",
    "spm_DEM_play",
    "spm_DEM_play_song",
    "spm_DEM_qC",
    "spm_Lap2Lorenz",
    "spm_MDP",
    "spm_MDP_DEM",
    "spm_MDP_DP",
    "spm_MDP_F",
    "spm_MDP_G",
    "spm_MDP_L",
    "spm_MDP_VB",
    "spm_MDP_VB_ERP",
    "spm_MDP_VB_LFP",
    "spm_MDP_VB_X",
    "spm_MDP_VB_XX",
    "spm_MDP_VB_XXX",
    "spm_MDP_VB_game",
    "spm_MDP_VB_sleep",
    "spm_MDP_VB_trial",
    "spm_MDP_VB_update",
    "spm_MDP_check",
    "spm_MDP_factor_graph",
    "spm_MDP_game",
    "spm_MDP_game_KL",
    "spm_MDP_game_optimism",
    "spm_MDP_link",
    "spm_MDP_log_evidence",
    "spm_MDP_mountain_car",
    "spm_MDP_offer",
    "spm_MDP_plot",
    "spm_MDP_size",
    "spm_MDP_structure_learning",
    "spm_MDP_trust",
    "spm_MDP_urn",
    "spm_NESS_constraints",
    "spm_SARS_ci",
    "spm_SARS_gen",
    "spm_SARS_plot",
    "spm_SARS_priors",
    "spm_SARS_priors_B",
    "spm_SCK",
    "spm_SHC_fx",
    "spm_cornsweet",
    "spm_cost_SHC_fx",
    "spm_cost_SHC_fxa",
    "spm_cost_SHC_path",
    "spm_cost_fx",
    "spm_cost_fxa",
    "spm_dem_ERP",
    "spm_dem_cue_movie",
    "spm_dem_initialise",
    "spm_dem_mdp_movie",
    "spm_dem_occlusion_movie",
    "spm_dem_pursuit_movie",
    "spm_dem_reach_movie",
    "spm_dem_reach_plot",
    "spm_dem_reach_x2J",
    "spm_dem_search_movie",
    "spm_dem_search_plot",
    "spm_dem_search_trajectory",
    "spm_dem_set_movie",
    "spm_diff_all",
    "spm_find_internal",
    "spm_fx_Gabor",
    "spm_fx_Lagrangian",
    "spm_fx_adem_cue",
    "spm_fx_adem_pursuit",
    "spm_fx_adem_reach",
    "spm_fx_adem_salience",
    "spm_fx_adem_write",
    "spm_fx_dem_cue",
    "spm_fx_dem_observe",
    "spm_fx_dem_pursuit",
    "spm_fx_dem_reach",
    "spm_fx_dem_salience",
    "spm_fx_dem_write",
    "spm_fx_hdm_sck",
    "spm_fx_mountaincar",
    "spm_fx_mountaincar_Q",
    "spm_gamma_log_evidence",
    "spm_gx_Gabor",
    "spm_gx_SHC",
    "spm_gx_adem_cue",
    "spm_gx_adem_pursuit",
    "spm_gx_adem_reach",
    "spm_gx_adem_salience",
    "spm_gx_adem_write",
    "spm_gx_dem_cue",
    "spm_gx_dem_pursuit",
    "spm_gx_dem_reach",
    "spm_gx_dem_salience",
    "spm_gx_dem_write",
    "spm_gx_hdm_sck",
    "spm_ho_gm",
    "spm_ho_poly",
    "spm_immune",
    "spm_immune_gen",
    "spm_immune_plot",
    "spm_immune_priors",
    "spm_mc_fx",
    "spm_mc_fx_1",
    "spm_mc_fx_2",
    "spm_mc_fx_3",
    "spm_mc_fx_4",
    "spm_mc_fx_5",
    "spm_mc_fxa_4",
    "spm_mc_fxa_5",
    "spm_mc_loss_C",
    "spm_mc_loss_G",
    "spm_meta_model",
    "spm_mountaincar_Q",
    "spm_mountaincar_fun",
    "spm_mountaincar_movie",
    "spm_multinomial_log_evidence",
    "spm_salience_map",
    "spm_voice",
    "spm_voice_FS",
    "spm_voice_P300",
    "spm_voice_Q",
    "spm_voice_check",
    "spm_voice_dct",
    "spm_voice_ff",
    "spm_voice_filter",
    "spm_voice_frequency",
    "spm_voice_fundamental",
    "spm_voice_get_LEX",
    "spm_voice_get_next",
    "spm_voice_get_word",
    "spm_voice_get_xY",
    "spm_voice_i",
    "spm_voice_iQ",
    "spm_voice_identity",
    "spm_voice_iff",
    "spm_voice_likelihood",
    "spm_voice_onset",
    "spm_voice_onsets",
    "spm_voice_read",
    "spm_voice_repeat",
    "spm_voice_segmentation",
    "spm_voice_speak",
    "spm_voice_test",
    "spm_voice_warp",
    "FieldMap",
    "FieldMap_Run",
    "FieldMap_applyvdm",
    "FieldMap_create",
    "FieldMap_preprocess",
    "pm_angvar",
    "pm_brain_mask",
    "pm_create_connectogram",
    "pm_diff",
    "pm_estimate_ramp",
    "pm_ff_unwrap",
    "pm_get_defaults",
    "pm_initial_regions",
    "pm_invert_phasemap",
    "pm_make_fieldmap",
    "pm_mask",
    "pm_merge_regions",
    "pm_merge_regions_m",
    "pm_pad",
    "pm_restore_ramp",
    "pm_seed",
    "pm_segment",
    "pm_smooth_phasemap",
    "pm_unwrap",
    "tbx_cfg_fieldmap",
    "spm_compute_avg_mat",
    "spm_dexpm",
    "spm_groupwise_ls",
    "spm_meanm",
    "spm_noise_estimate",
    "spm_pairwise",
    "spm_rice_mixture",
    "spm_series_align",
    "tbx_cfg_longitudinal",
    "fil_fit",
    "fil_install",
    "fil_io",
    "fil_label",
    "fil_prec",
    "fil_prune",
    "fil_push_train_data",
    "fil_subvol",
    "fil_train",
    "spm_label",
    "spm_mb_appearance",
    "spm_mb_classes",
    "spm_mb_fit",
    "spm_mb_gmm",
    "spm_mb_init",
    "spm_mb_io",
    "spm_mb_merge",
    "spm_mb_output",
    "spm_mb_shape",
    "spm_mbnorm",
    "tbx_cfg_mb",
    "spm_MEEGtools",
    "spm_create_labels",
    "spm_eeg_bst_fooof",
    "spm_eeg_cont_power",
    "spm_eeg_ctf_synth_gradiometer",
    "spm_eeg_dipole_waveforms",
    "spm_eeg_erp_correction",
    "spm_eeg_ffilter",
    "spm_eeg_fix_ctf_headloc",
    "spm_eeg_ft_artefact_visual",
    "spm_eeg_ft_datareg_manual",
    "spm_eeg_ft_megplanar",
    "spm_eeg_ft_multitaper_coherence",
    "spm_eeg_headplot",
    "spm_eeg_img2maps",
    "spm_eeg_interpolate_artefact",
    "spm_eeg_inv_optireg",
    "spm_eeg_megheadloc",
    "spm_eeg_recode_epoched_ctf",
    "spm_eeg_remove_jumps",
    "spm_eeg_remove_spikes",
    "spm_eeg_reref_eeg",
    "spm_eeg_split_conditions",
    "spm_eeg_tms_correct",
    "spm_eeg_transform_cap",
    "spm_eeg_var_measures",
    "spm_mesh_pack_points",
    "spm_opm_create",
    "spm_opm_epoch_trigger",
    "spm_opm_headmodel",
    "spm_opm_hfc",
    "spm_opm_opreg",
    "spm_opm_plotScalpData",
    "spm_opm_psd",
    "spm_opm_read_lvm",
    "spm_opm_rpsd",
    "spm_opm_sim",
    "spm_opm_synth_gradiometer",
    "spm_opm_vslm",
    "spm_dcm_nvc",
    "spm_dcm_nvc_nd",
    "spm_dcm_nvc_priors",
    "spm_dcm_nvc_specify",
    "spm_fx_cmc_tfm_gen",
    "spm_gen_par",
    "spm_nvc_gen",
    "DEMO_dcm_fmri_nnm",
    "DEMO_model_reduction_ERP",
    "DEMO_tvec_csd_sim",
    "DEMO_tvec_erp_mmn",
    "DEMO_tvec_erp_sim",
    "spm_csd_mtf_plot_pole_zero",
    "spm_dcm_x_neural_NMDA",
    "spm_fx_NMDA",
    "spm_fx_mfm_NMDA",
    "spm_lfp_mtf_sample",
    "spm_nmm_priors_NMDA",
    "spm_x_mfm_NMDA",
    "Neural_demo",
    "ROBOT_NMM",
    "spm_csd_demo",
    "spm_dcm_Granger_asymmetry_demo",
    "spm_dcm_Granger_demo",
    "spm_dcm_prior_responses",
    "spm_delays_demo",
    "spm_demo_proceed",
    "spm_erp2csd_demo",
    "spm_freqs",
    "spm_fx_hh",
    "spm_fx_lfp",
    "spm_fx_mfm_ensemble",
    "spm_gx_hh",
    "spm_gx_mfm",
    "spm_ind_demo",
    "spm_induced_optimise",
    "spm_induced_optimise_parameters",
    "spm_lfp_demo",
    "spm_lfp_log",
    "spm_lfp_mtf",
    "spm_lfp_priors",
    "spm_lfp_sqrt",
    "spm_mfa",
    "spm_mfa_G",
    "spm_mfa_bi",
    "spm_mfa_bi_multi",
    "spm_mfa_demo",
    "spm_mfm_demo",
    "spm_mtf_demo",
    "spm_neil",
    "spm_nested_oscillations_demo",
    "spm_nmda_priors",
    "spm_opt_bfun",
    "spm_seizure_demo",
    "spm_sigmoid_demo",
    "spm_affreg",
    "spm_brainwarp",
    "spm_cfg_normalise",
    "spm_get_orig_coord",
    "spm_normalise",
    "spm_normalise_disp",
    "spm_run_normalise",
    "spm_write_sn",
    "spm_cfg_preproc",
    "spm_invdef",
    "spm_load_priors",
    "spm_maff",
    "spm_prep2sn",
    "spm_preproc_write",
    "spm_run_preproc",
    "spm_sample_priors",
    "spm_SEM_gen",
    "spm_SEM_gen_full",
    "spm_dcm_spem",
    "spm_dcm_spem_data",
    "spm_dcm_spem_results",
    "spm_sextract",
    "spm_srender",
    "tbx_cfg_render",
    "covLin",
    "spm_GPclass",
    "spm_def2sparse",
    "spm_dotprods2",
    "spm_lincom",
    "spm_shoot3d",
    "spm_shoot3di",
    "spm_shoot_blur",
    "spm_shoot_defaults",
    "spm_shoot_divergence",
    "spm_shoot_greens",
    "spm_shoot_kernel",
    "spm_shoot_norm",
    "spm_shoot_scalmom",
    "spm_shoot_template",
    "spm_shoot_update",
    "spm_shoot_warp",
    "tbx_cfg_shoot",
    "lbessi",
    "pp_settings",
    "pull",
    "pullg",
    "push",
    "spm_TVdenoise",
    "spm_TVdenoise2",
    "spm_TVdenoise_config",
    "spm_dctdst",
    "spm_run_denoise",
    "spm_scope",
    "spm_scope_config",
    "spm_slice2vol",
    "spm_slice2vol_config",
    "spm_slice2vol_estimate",
    "spm_slice2vol_reslice",
    "spm_topup",
    "spm_topup_config",
    "tbx_cfg_spatial",
    "tbx_cfg_tsss",
    "tsss_config",
    "tsss_config_momentspace",
    "tsss_spm_enm",
    "tsss_spm_momentspace",
    "estimate_greens_mmclab",
    "spm_dcm_fnirs_estimate",
    "spm_dcm_fnirs_params",
    "spm_dcm_fnirs_priors",
    "spm_dcm_fnirs_specify",
    "spm_dcm_fnirs_viewer_result",
    "spm_fnirs_sensitivity",
    "spm_fnirs_viewer_sensor",
    "spm_fnirs_wavg",
    "spm_fx_fnirs",
    "spm_gx_fnirs",
    "spm_gx_state_fnirs",
    "spm_L_priors",
    "spm_api_erp",
    "spm_api_nmm",
    "spm_bgt_priors",
    "spm_cmc_priors",
    "spm_cmm_NMDA_priors",
    "spm_cmm_priors",
    "spm_csd_chf",
    "spm_csd_int",
    "spm_csd_int_IS",
    "spm_csd_mtf",
    "spm_csd_mtf_gu",
    "spm_dcm_csd",
    "spm_dcm_csd_data",
    "spm_dcm_csd_plot",
    "spm_dcm_csd_priors",
    "spm_dcm_csd_results",
    "spm_dcm_csd_source_optimise",
    "spm_dcm_csd_source_plot",
    "spm_dcm_dem",
    "spm_dcm_eeg_channelmodes",
    "spm_dcm_erp",
    "spm_dcm_erp_bma",
    "spm_dcm_erp_data",
    "spm_dcm_erp_dipfit",
    "spm_dcm_erp_plot",
    "spm_dcm_erp_results",
    "spm_dcm_erp_sensitivity",
    "spm_dcm_erp_update",
    "spm_dcm_erp_viewspatial",
    "spm_dcm_ind",
    "spm_dcm_ind_data",
    "spm_dcm_ind_results",
    "spm_dcm_local_minima",
    "spm_dcm_lock",
    "spm_dcm_neural_priors",
    "spm_dcm_neural_x",
    "spm_dcm_nfm",
    "spm_dcm_phase",
    "spm_dcm_phase_data",
    "spm_dcm_phase_results",
    "spm_dcm_search_eeg",
    "spm_dcm_ssr",
    "spm_dcm_ssr_data",
    "spm_dcm_ssr_results",
    "spm_dcm_symm",
    "spm_dcm_tfm",
    "spm_dcm_tfm_data",
    "spm_dcm_tfm_data_nopad",
    "spm_dcm_tfm_image",
    "spm_dcm_tfm_multimodal",
    "spm_dcm_tfm_response",
    "spm_dcm_tfm_results",
    "spm_dcm_tfm_transfer",
    "spm_dcm_virtual_electrodes",
    "spm_dcm_x_neural",
    "spm_eeg_inv_ecd_DrawDip",
    "spm_epileptor_demo",
    "spm_erp_L",
    "spm_erp_priors",
    "spm_erp_u",
    "spm_fp_cmc_tfm",
    "spm_fs_csd",
    "spm_fx_bgt",
    "spm_fx_cmc",
    "spm_fx_cmc_2014",
    "spm_fx_cmc_tfm",
    "spm_fx_cmm",
    "spm_fx_cmm_NMDA",
    "spm_fx_erp",
    "spm_fx_gen",
    "spm_fx_ind",
    "spm_fx_mfm",
    "spm_fx_mfm_D",
    "spm_fx_mmc",
    "spm_fx_nmda",
    "spm_fx_null",
    "spm_fx_phase",
    "spm_fx_sep",
    "spm_fx_tfm",
    "spm_fx_tfm_P",
    "spm_fy_erp",
    "spm_gen_Q",
    "spm_gen_erp",
    "spm_gen_ind",
    "spm_gen_phase",
    "spm_gx_erp",
    "spm_ind_priors",
    "spm_int_U",
    "spm_lx_dem",
    "spm_lx_erp",
    "spm_lx_ind",
    "spm_lx_phase",
    "spm_mg_switch",
    "spm_mmc_priors",
    "spm_nfm_mtf",
    "spm_nfm_priors",
    "spm_nmm_priors",
    "spm_null_priors",
    "spm_phase_priors",
    "spm_ssr_priors",
    "spm_tfm_priors",
    "spm_x_cmc",
    "spm_x_cmm",
    "spm_x_cmm_NMDA",
    "spm_x_erp",
    "spm_x_lfp",
    "spm_x_mfm",
    "spm_x_nmda",
    "spm_x_nmm",
    "mci_compare_forward",
    "mci_compare_gradients",
    "mci_compare_jacobians",
    "mci_compare_setup",
    "spm_mci_adjoint",
    "spm_mci_adjoint_int",
    "spm_mci_adjoint_sun",
    "spm_mci_flow_sun",
    "spm_mci_flow_t",
    "spm_mci_fwd",
    "spm_mci_grad_curve",
    "spm_mci_joint",
    "spm_mci_joint_grad",
    "spm_mci_sens",
    "spm_mci_sens_init",
    "spm_mci_sens_sun",
    "spm_mci_ais",
    "spm_mci_ais_single",
    "spm_mci_ais_single_vl",
    "spm_mci_check",
    "spm_mci_diag",
    "spm_mci_diff",
    "spm_mci_ess",
    "spm_mci_fixed",
    "spm_mci_glike",
    "spm_mci_glike_deriv",
    "spm_mci_gprior_deriv",
    "spm_mci_init_flow",
    "spm_mci_isvl",
    "spm_mci_lgv",
    "spm_mci_lgv_vl",
    "spm_mci_like_ind",
    "spm_mci_mfx",
    "spm_mci_mfx_dynamic",
    "spm_mci_mh",
    "spm_mci_mh_update",
    "spm_mci_minit",
    "spm_mci_mvnpost",
    "spm_mci_mvntest",
    "spm_mci_obsnoise",
    "spm_mci_phm",
    "spm_mci_pop",
    "spm_mci_popdef",
    "spm_mci_post",
    "spm_mci_postslices",
    "spm_mci_priors",
    "spm_mci_quantiles",
    "spm_mci_random",
    "spm_mci_report",
    "spm_mci_stat",
    "spm_mci_switch",
    "spm_mci_switch_prep",
    "spm_mci_update_cov",
    "spm_mci_vw_init",
    "spm_mvtpdf",
    "spm_nwcov",
    "spm_nwpost",
    "spm_nwrnd",
    "spm_wishrnd",
    "mci_approach_deriv",
    "mci_approach_gen",
    "mci_approach_like",
    "mci_approach_struct",
    "mci_discount_act",
    "mci_discount_deriv",
    "mci_discount_gen",
    "mci_discount_like",
    "mci_discount_struct",
    "mci_pb_deriv",
    "mci_pb_gen",
    "mci_pb_like",
    "mci_pb_struct",
    "mci_exp_init",
    "mci_interp_init",
    "mci_lds_dfdx",
    "mci_lds_fx",
    "mci_lds_gen",
    "mci_lds_group_data",
    "mci_lds_gx",
    "mci_lds_lat2par",
    "mci_lds_par2lat",
    "mci_lds_params",
    "mci_lds_plot_params",
    "mci_lds_struct",
    "mci_linear_deriv",
    "mci_linear_gen",
    "mci_linear_like",
    "mci_linear_post",
    "mci_linear_struct",
    "mci_linsqr_deriv",
    "mci_linsqr_gen",
    "mci_linsqr_like",
    "mci_linsqr_struct",
    "mci_logistic_act",
    "mci_logistic_deriv",
    "mci_logistic_gen",
    "mci_logistic_like",
    "mci_logistic_struct",
    "mci_nmm_fx_delay",
    "mci_nmm_gen",
    "mci_nmm_params",
    "mci_nmm_r2_gx",
    "mci_nmm_r2p2_dfdp",
    "mci_nmm_r2p2_dfdx",
    "mci_nmm_r2p2_fx",
    "mci_nmm_r2p6_fx",
    "mci_nmm_struct",
    "mci_phase_dfdp",
    "mci_phase_dfdx",
    "mci_phase_fx",
    "mci_phase_gx",
    "mci_phase_init",
    "mci_rphase_dfdp",
    "mci_rphase_dfdx",
    "mci_rphase_fx",
    "mci_rphase_gen",
    "mci_rphase_struct",
    "mci_ramsay_fx",
    "mci_ramsay_gen",
    "mci_ramsay_gx",
    "mci_ramsay_struct",
    "mci_plot_surface",
    "spm_MNpdf",
    "spm_boxcars",
    "spm_glm",
    "spm_kmeans",
    "spm_kmeans1",
    "spm_mix",
    "spm_mix_demo1d",
    "spm_rglm",
    "spm_samp_gauss",
    "spm_samp_mix",
    "spm_cva_compare",
    "spm_cva_prob",
    "spm_mlm_bayes",
    "spm_mlm_makecon",
    "spm_mlm_posthoc",
    "spm_pca_order",
    "spm_vpca",
    "spm_vpca_f",
    "spm_vpca_init",
    "spm_vpca_update",
    "spm_ar",
    "spm_ar_freq",
    "spm_ar_pred",
    "spm_ccf2coh",
    "spm_ccf2cor",
    "spm_ccf2csd",
    "spm_ccf2gew",
    "spm_ccf2mar",
    "spm_csd",
    "spm_csd2ccf",
    "spm_csd2coh",
    "spm_csd2gew",
    "spm_csd2mar",
    "spm_dcm2ssm",
    "spm_dpss",
    "spm_dtf2gew",
    "spm_get_omega",
    "spm_granger",
    "spm_ker2ccf",
    "spm_ker2coh",
    "spm_ker2csd",
    "spm_ker2mtf",
    "spm_kl_eig_normal",
    "spm_mar",
    "spm_mar2ccf",
    "spm_mar2coh",
    "spm_mar2csd",
    "spm_mar2gew",
    "spm_mar_conn",
    "spm_mar_gen",
    "spm_mar_pred",
    "spm_mar_prior",
    "spm_mar_spectra",
    "spm_mmtspec",
    "spm_mtf2ccf",
    "spm_mtf2coh",
    "spm_mtf2csd",
    "spm_mtf2gew",
    "spm_rar",
    "spm_spectral_plot",
    "spm_ssm2ccf",
    "spm_ssm2coh",
    "spm_ssm2csd",
    "spm_ssm2ker",
    "spm_ssm2mtf",
    "spm_wavspec"
]
